{$I-,Q-,R-,S-,D-,L-,O+}
{$I+,Q+,R+,S+,D+,L+,O-}
program H;
{$APPTYPE CONSOLE}
const
  inf = 'heapsort.in';
  ouf = 'heapsort.out';
  maxn = 50002;

type
  int = longint;

var
  a : array [0..maxn] of int;
  n, i, j, k : int;

begin
  assign(input, inf);
  reset(input);
  read(n);
  close(input);
(*  if odd(n) then begin*)
  for i := 1 to n do
    a[i] := n - i + 1;
(*  end else begin
    i := 1;
    j := n;
{    i := 2;
    j := n - 1;
    a[1] := n;
    a[n] := 1;}
    for k := n downto 1 do begin
      if odd(k) then begin
        a[i] := k;
        inc(i)
      end else begin
        a[j] := k;
        dec(j);
      end;
    end;
  end;*)
  assign(output, ouf);
  rewrite(output);
  for i := 1 to n do write(a[i], ' ');
  close(output);
end.
